import axios from "axios";

console.log(process.env.VUE_APP_BASE_API);
const service = axios.create({
  baseURL: process.env.VUE_APP_BASE_API,
  withCredentials: false,
  timeout: 20000,
});

service.interceptors.request.use(
  (config) => {
    return config;
  },
  (error) => {
    // do something with request error
    console.log(error); // for debug

    return Promise.reject(error);
  }
);

// service.interceptors.response.use(response => {
//   const res = response.data;
//   if (res.code != 0 && res.code != 301) {
//     //出错

//     Message({
//       message: res.msg || "error",
//       type: "error",
//       duration: 3 * 1000
//     });
//     if (res.code === 1) {
//       removeToken();
//       router.push("/");
//     }
//     return Promise.reject(res.msg || "error");
//   } else {
//     return res;
//   }
// });

export default service;
