import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import "normalize.css/normalize.css";
import "@/styles/index.scss";

import ECharts from "vue-echarts";
import "echarts/lib/component/legend";
import "echarts/lib/chart/pie";
import "echarts/lib/chart/bar";
import "echarts/lib/component/grid";
import "echarts/lib/component/axis";
import "echarts/lib/component/visualMap";
import "echarts/lib/chart/map";

Vue.component("v-chart", ECharts);
Vue.config.productionTip = false;

new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount("#app");
